## GnlOperation GnlOperation — Encapsulates filters/effects for use with GNL Objects |

## Synopsis

                        GnlOperation;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBin
                               +----GnlObject
                                     +----GnlOperation

## Implemented Interfaces

GnlOperation implements GstChildProxy.

## Properties

      "sinks"                    gint                  : Read / Write

## Signals

      "input-priority-changed"                         : Run Last

## Description

A GnlOperation performs a transformation or mixing operation on the data from one or more GnlSources, which is used to implement filters or effects.

## Synopsis

### Element Information

plugin | gnonlin
author | Wim Taymans <wim.taymans@gmail.com>, Edward Hervey <bilboed@bilboed.com>
class | Filter/Editor

### Element Pads

name | sink%d
direction | sink
presence | request
details | ANY

name | src
direction | source
presence | sometimes
details | ANY

## Details

### GnlOperation

    typedef struct _GnlOperation GnlOperation;

## Property Details

### The `"sinks"` property

      "sinks"                    gint                  : Read / Write

Specifies the number of sink pads the operation should provide. If the sinks property is -1 (the default) pads are only created as demanded via `get_request_pad()` calls on the element.

Allowed values: >= G_MAXULONG

Default value: -1

## Signal Details

### The `"input-priority-changed"` signal

    void                user_function                      (GnlOperation *gnloperation,
                                                            GstPad       *arg1,
                                                            guint         arg2,
                                                            gpointer      user_data)         : Run Last

`gnloperation` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.